.\"	$NetBSD: il.4,v 1.9 2002/01/15 02:08:38 wiz Exp $
.\"
.\" Copyright (c) 1983, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)il.4	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt IL 4 vax
.Os
.Sh NAME
.Nm il
.Nd Interlan NI1010 10 Mb/s Ethernet interface
.Sh SYNOPSIS
.Cd "il0 at uba0 csr 164000"
.Sh DESCRIPTION
The
.Nm il
interface provides access to a 10 Mb/s Ethernet network through
an Interlan 1010 or 1010A controller.
.Pp
Each of the host's network addresses
is specified at boot time with an
.Dv SIOCSIFADDR
.Xr ioctl 2 .
The
.Nm il
interface employs the address resolution protocol described in
.Xr arp 4
to dynamically map between Internet and Ethernet addresses on the local
network.
.Sh DIAGNOSTICS
.Bl -diag
.It il%d: input error.
The hardware indicated an error
in reading a packet off the cable or an illegally sized packet.
.Pp
.It il%d: can't handle af%d.
The interface was handed
a message with addresses formatted in an unsuitable address
family; the packet was dropped.
.Pp
.It il%d: setaddr didn't work.
The interface was unable to reprogram
its physical Ethernet address.
This may happen with very early models of the interface.
This facility is used only when
the controller is not the first network interface configured for
.Tn XNS .
The oldest interface tested (2.7.1.0.1.45) has never failed in this way.
.Pp
.It il%d: reset failed, csr=%b.
.It il%d: status failed, csr=%b.
.It il%d: hardware diag failed, csr=%b.
.It il%d: verifying setaddr, csr=%b.
.It il%d: stray xmit interrupt, csr=%b.
.It il%d: can't initialize.
The above messages indicate a probable hardware error performing
the indicated operation during autoconfiguration or initialization.
The status field in the control and status register (the low-order four bits)
should indicate the nature of the failure.
See the hardware manual for details.
.El
.Sh SEE ALSO
.Xr arp 4 ,
.Xr inet 4 ,
.Xr netintro 4
.Sh HISTORY
The
.Nm
interface appeared in
.Bx 4.2 .
